using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单交办补充诉求
    /// </summary>
    public class SupplyCaseInfoRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public ClientInfo token { get; set; }

        /// <summary>
        /// 服务工单
        /// </summary>
        public SupplyCaseInfoModel paras { get; set; }

    }
    /// <summary>
    /// 服务工单交办补充诉求
    /// </summary>
    public class SupplyCaseInfoModel
    {
        /// <summary>
        /// 补充人员
        /// </summary>
        [JsonPropertyName("SUPPLY_NAME")]
        [MDisplayName("补充人员")]
        [VRequired]
        [VStringLength(0, 200)]
        public string SupplyName { get; set; }

        /// <summary>
        /// 补充时间
        /// </summary>
        [JsonPropertyName("SUPPLY_TIME")]
        [MDisplayName("补充时间")]
        [VRequired]
        public string? SupplyTime { get; set; }

        /// <summary>
        /// 补充内容
        /// </summary>
        [JsonPropertyName("SUPPLY_CONTENT")]
        [MDisplayName("补充内容")]
        [VRequired]
        public string SupplyContent { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        [VRequired]
        [VStringLength(0, 50)]
        [MDisplayName("服务工单编号")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        [MDisplayName("行政区划代码")]
        [VRequired]
        [VStringLength(0, 24)]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        [MDisplayName("材料标识")]
        [VStringLength(0, 50)]
        public string CliengGuid { get; set; }
    }
}
